Package com.io7m.cardant.client.api

# Record Class CAClientTransferStatistics

java.lang.Object
java.lang.Record
com.io7m.cardant.client.api.CAClientTransferStatistics

Record Components:
  `sizeExpected` - The expected size
  `sizeTransferred` - The amount transferred so far
  `octetsPerSecond` - The average octets per second

public record CAClientTransferStatistics(long sizeExpected, long sizeTransferred, double octetsPerSecond) extends Record
A snapshot of a transfer.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAClientTransferStatistics(long sizeExpected, long sizeTransferred, double octetsPerSecond)`
  Creates an instance of a `CAClientTransferStatistics` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `double`
  `octetsPerSecond()`
  Returns the value of the `octetsPerSecond` record component.
  `double`
  `percent()`
  `double`
  `percentNormalized()`
  `long`
  `sizeExpected()`
  Returns the value of the `sizeExpected` record component.
  `long`
  `sizeTransferred()`
  Returns the value of the `sizeTransferred` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAClientTransferStatistics

    public CAClientTransferStatistics(long sizeExpected, long sizeTransferred, double octetsPerSecond)
    Creates an instance of a `CAClientTransferStatistics` record class.
    Parameters:
      `sizeExpected` - the value for the `sizeExpected` record component
      `sizeTransferred` - the value for the `sizeTransferred` record component
      `octetsPerSecond` - the value for the `octetsPerSecond` record component

- ## Method Details

  - ### percentNormalized

    public double percentNormalized()
    Returns:
      The completion "percentage" in the range `[0, 1]`

  - ### percent

    public double percent()
    Returns:
      The completion percentage in the range `[0, 100]`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### sizeExpected

    public long sizeExpected()
    Returns the value of the `sizeExpected` record component.
    Returns:
      the value of the `sizeExpected` record component

  - ### sizeTransferred

    public long sizeTransferred()
    Returns the value of the `sizeTransferred` record component.
    Returns:
      the value of the `sizeTransferred` record component

  - ### octetsPerSecond

    public double octetsPerSecond()
    Returns the value of the `octetsPerSecond` record component.
    Returns:
      the value of the `octetsPerSecond` record component